Name:           code-editor
Version:        2.3.1
Release:        15%{?dist}
Summary:        Lightweight and cross-platform text and code editor based on Qt Creator

Group:          Development/Tools
License:        LGPLv2
URL:            http://qt.gitorious.org/~ilyesgouta/qt-creator/code-editor
Source0:        code-editor-src.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1:        code-editor.desktop

Requires:       hicolor-icon-theme
Requires:       xdg-utils

BuildRequires:  desktop-file-utils

BuildRequires: qt4-devel >= 4.7
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

# see https://bugzilla.redhat.com/show_bug.cgi?id=652971
%{?filter_setup:
%filter_provides_in %_libdir/code-editor/
%filter_from_requires /\(libAggregation\|libCPlusPlus\|libExtensionSystem\|libLanguageUtils\|libQtConcurrent\|libUtils\)\.so.*/d
%filter_from_requires /\(libBinEditor\|libCore\|libCppEditor\|libCppTools\|libFakeVim\|libFind\|libLocator\|libTextEditor\)\.so.*/d
%filter_setup
}

%description
CodeEditor is a slimmed down, customized version of Qt Creator that focuses on bringing
its text/code modern editing capabilities to users looking for just a simple and beautiful editor.

%prep
%setup -q -n %{name}

%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \

qmake-qt4 -makefile code-editor.pro IDE_LIBRARY_BASENAME=%{_lib}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}%{_prefix}

desktop-file-install                                    \
--add-category="Development"                            \
--dir=%{buildroot}%{_datadir}/applications              \
%{SOURCE1}

rm -rf %{buildroot}%{_datadir}/code-editor/translations
rm -rf %{buildroot}%{_datadir}/code-editor/templates
rm -rf %{buildroot}%{_datadir}/code-editor/snippets
rm -rf %{buildroot}%{_datadir}/code-editor/rss
rm -rf %{buildroot}%{_datadir}/code-editor/qmlicons
rm -rf %{buildroot}%{_datadir}/code-editor/qmldesigner
rm -rf %{buildroot}%{_datadir}/code-editor/qml
rm -rf %{buildroot}%{_datadir}/code-editor/gdbmacros
rm -rf %{buildroot}%{_datadir}/code-editor/designer
rm -rf %{buildroot}%{_datadir}/code-editor/qml-type-descriptions
rm -rf %{buildroot}%{_datadir}/doc
rm -f %{buildroot}%{_bindir}/qtcreator_process_stub
rm -f %{buildroot}%{_bindir}/qtpromaker

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc README LICENSE.LGPL LGPL_EXCEPTION.TXT
%{_bindir}/code-editor
%{_libdir}/code-editor/
%{_datadir}/code-editor/
%{_datadir}/icons/hicolor/*/*/codeeditor.*
%{_datadir}/applications/code-editor.desktop

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 21 2012 Ilyes Gouta <ilyes.gouta@gmail.com> - 2.3.1-13
- Disable unused plugins causing build failures following Fedora_17_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 05 2011 Ilyes Gouta <ilyes.gouta@gmail.com> - 11
- Rebased against a recent Qt Creator code base v2.3.1-5-gdd324e0

* Thu Oct 13 2011 Ilyes Gouta <ilyes.gouta@gmail.com> - 10
- Imported in Fedora's SCM, bumped release number for building in Koji

* Sat Sep 03 2011 Ilyes Gouta <ilyes.gouta@gmail.com> - 9
- Rebased against a recent Qt Creator code base v2.3.0-9-g204f6bc

* Sun Aug 29 2011 Ilyes Gouta <ilyes.gouta@gmail.com> - 8
- Rebased against a recent Qt Creator code base v2.3.0-rc-60-gbc7abeb

* Sun Jul 24 2011 Ilyes Gouta <ilyes.gouta@gmail.com> - 7
- Rebased against a recent Qt Creator code base v2.3.0-beta-332-g0f38dba

* Sun Jul 17 2011 Ilyes Gouta <ilyes.gouta@gmail.com> - 6
- Rebased against a recent Qt Creator code base v2.3.0-beta-190-gfcf2dfa

* Sat Mar 19 2011 Ilyes Gouta <ilyes.gouta@gmail.com> - 5
- Rebased against a recent Qt Creator code base v2.2.1-1510-g79c2e22

* Sat Mar 19 2011 Ilyes Gouta <ilyes.gouta@gmail.com> - 4
- Rebased against a recent Qt Creator code base - commit f671b30

* Fri Dec 31 2010 Ilyes Gouta <ilyes.gouta@gmail.com> - 3
- Rebased against a recent Qt Creator code base v2.1.0-rc1-1374-gd963563

* Wed Nov 08 2010 Ilyes Gouta <ilyes.gouta@gmail.com> - 2
- Packaged for Fedora 14

* Wed Oct 06 2010 Ilyes Gouta <ilyes.gouta@gmail.com> - 1
- First package for Fedora
